Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157017 - CAN-2005-1261 Gaim long url buffer overflow
Summary: CAN-2005-1261 Gaim long url buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gaim
Version: 4.0
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard: impact=critical,public=20050510,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 02:39 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 08:24:22 UTC


Attachments (Terms of Use)
Upstream patch (deleted)
2005-05-06 02:39 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:429 high SHIPPED_LIVE Critical: gaim security update 2005-05-11 04:00:00 UTC
Red Hat Product Errata RHSA-2005:432 normal SHIPPED_LIVE Critical: gaim security update 2005-05-11 04:00:00 UTC

Description Josh Bressers 2005-05-06 02:39:40 UTC
A buffer overflow has been found in Gaim.  It is possible for a remote attacker
to send a message containing a very long URL to overflow a buffer.  This attack
is mitigated by the fact that not all the messaging protocols allow messages
long enough to overflow this particular buffer.

Comment 1 Josh Bressers 2005-05-06 02:39:41 UTC
Created attachment 114072 [details]
Upstream patch

Comment 2 Josh Bressers 2005-05-06 02:41:22 UTC
This issue should also affect RHEL3 and may affect RHEL2.1

Comment 3 Josh Bressers 2005-05-06 18:31:28 UTC
This issue is going to be RHSA-2005:429

Comment 4 Mark J. Cox 2005-05-11 08:03:54 UTC
public, removing embargo

Comment 5 Mark J. Cox 2005-05-11 08:24:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-432.html


Comment 6 Mark J. Cox 2005-05-11 08:33:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-429.html



Note You need to log in before you can comment on or make changes to this bug.